## qtify 0.0.1-1

=== debian/changelog ===
qtify (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Robin Nilsson <robinnilsson@gmail.com>  Mon, 28 Dec 2009 23:23:49 +0000
