=== debian/changelog ===
qtify (0.0.1-2) unstable; urgency=low

  * Update to fix problem with error in .menu file

 -- Robin Nilsson <robinnilsson@gmail.com>  Mon, 28 Dec 2009 00:32:34 +0000
