## qtify 0.0.1-3

=== Makefile ===
#############################################################################
# Makefile for building: qtify
# Generated by qmake (2.01a) (Qt 4.6.0) on: Tue Jan 5 23:40:25 2010
# Project:  qtify.pro
# Template: app
# Command: /home/maemo/qtsdk-2009.05/qt/bin/qmake -spec ../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtify.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -I. -I../../../qtsdk-2009.05/qt/include/QtCore -I../../../qtsdk-2009.05/qt/include/QtGui -I../../../qtsdk-2009.05/qt/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/maemo/qtsdk-2009.05/qt/lib
LIBS          = $(SUBLIBS)  -L/home/maemo/qtsdk-2009.05/qt/lib -L/usr/lib -lao -ldespotify -lQtGui -L/home/maemo/qtsdk-2009.05/qt/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/maemo/qtsdk-2009.05/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		despotifywrap.cpp \
		audio.cpp \
		despotifyplay.cpp \
		despotifycallback.cpp moc_mainwindow.cpp \
		moc_despotifywrap.cpp \
		moc_despotifyplay.cpp \
		moc_despotifycallback.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		despotifywrap.o \
		audio.o \
		despotifyplay.o \
		despotifycallback.o \
		moc_mainwindow.o \
		moc_despotifywrap.o \
		moc_despotifyplay.o \
		moc_despotifycallback.o \
		qrc_resources.o
DIST          = ../../../qtsdk-2009.05/qt/mkspecs/common/g++.conf \
		../../../qtsdk-2009.05/qt/mkspecs/common/unix.conf \
		../../../qtsdk-2009.05/qt/mkspecs/common/linux.conf \
		../../../qtsdk-2009.05/qt/mkspecs/qconfig.pri \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt_config.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/default_pre.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/debug.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/default_post.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/warn_on.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/moc.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/resources.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/uic.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/yacc.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/lex.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf \
		qtify.pro
QMAKE_TARGET  = qtify
DESTDIR       = 
TARGET        = qtify

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtify.pro  ../../../qtsdk-2009.05/qt/mkspecs/linux-g++/qmake.conf ../../../qtsdk-2009.05/qt/mkspecs/common/g++.conf \
		../../../qtsdk-2009.05/qt/mkspecs/common/unix.conf \
		../../../qtsdk-2009.05/qt/mkspecs/common/linux.conf \
		../../../qtsdk-2009.05/qt/mkspecs/qconfig.pri \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt_config.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/default_pre.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/debug.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/default_post.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/warn_on.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/qt.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/moc.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/resources.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/uic.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/yacc.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/lex.prf \
		../../../qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf \
		/home/maemo/qtsdk-2009.05/qt/lib/libQtGui.prl \
		/home/maemo/qtsdk-2009.05/qt/lib/libQtCore.prl
	$(QMAKE) -spec ../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtify.pro
../../../qtsdk-2009.05/qt/mkspecs/common/g++.conf:
../../../qtsdk-2009.05/qt/mkspecs/common/unix.conf:
../../../qtsdk-2009.05/qt/mkspecs/common/linux.conf:
../../../qtsdk-2009.05/qt/mkspecs/qconfig.pri:
../../../qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/qt_config.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/default_pre.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/debug.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/default_post.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/warn_on.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/qt.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/moc.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/resources.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/uic.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/yacc.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/lex.prf:
../../../qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf:
/home/maemo/qtsdk-2009.05/qt/lib/libQtGui.prl:
/home/maemo/qtsdk-2009.05/qt/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtify.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtify1.0.0 || $(MKDIR) .tmp/qtify1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.h despotifywrap.h audio.h despotifyplay.h despotifycallback.h despotify_cpp.h .tmp/qtify1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtify1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp despotifywrap.cpp audio.cpp despotifyplay.cpp despotifycallback.cpp .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/qtify1.0.0/ && $(COPY_FILE) --parents translations/qtify_sv_SE.ts translations/qtify_nb.ts translations/qtify_fi.ts translations/qtify_du.ts translations/qtify_de.ts translations/qtify_ar_SA.ts .tmp/qtify1.0.0/ && (cd `dirname .tmp/qtify1.0.0` && $(TAR) qtify1.0.0.tar qtify1.0.0 && $(COMPRESS) qtify1.0.0.tar) && $(MOVE) `dirname .tmp/qtify1.0.0`/qtify1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtify1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_despotifywrap.cpp moc_despotifyplay.cpp moc_despotifycallback.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_despotifywrap.cpp moc_despotifyplay.cpp moc_despotifycallback.cpp
moc_mainwindow.cpp: despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		mainwindow.h
	/home/maemo/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_despotifywrap.cpp: despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		despotifywrap.h
	/home/maemo/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) despotifywrap.h -o moc_despotifywrap.cpp

moc_despotifyplay.cpp: despotify_cpp.h \
		audio.h \
		despotifyplay.h
	/home/maemo/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) despotifyplay.h -o moc_despotifyplay.cpp

moc_despotifycallback.cpp: despotify_cpp.h \
		despotifycallback.h
	/home/maemo/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) despotifycallback.h -o moc_despotifycallback.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		translations/qtify_nb.qm \
		translations/qtify_du.qm \
		translations/qtify_de.qm \
		translations/qtify_fi.qm \
		translations/qtify_sv_SE.qm \
		translations/qtify_ar_SA.qm \
		res/qtify.png \
		res/rating_2.png \
		res/next.png \
		res/rating_1.png \
		res/rating_4.png \
		res/rating_3.png \
		res/prev.png \
		res/play.png \
		res/rating_5.png \
		res/pause.png
	/home/maemo/qtsdk-2009.05/qt/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: mainwindow.ui
	/home/maemo/qtsdk-2009.05/qt/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

despotifywrap.o: despotifywrap.cpp despotifywrap.h \
		despotify_cpp.h \
		audio.h \
		despotifyplay.h \
		despotifycallback.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifywrap.o despotifywrap.cpp

audio.o: audio.cpp audio.h \
		despotify_cpp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o audio.o audio.cpp

despotifyplay.o: despotifyplay.cpp despotifyplay.h \
		despotify_cpp.h \
		audio.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifyplay.o despotifyplay.cpp

despotifycallback.o: despotifycallback.cpp despotifycallback.h \
		despotify_cpp.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o despotifycallback.o despotifycallback.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_despotifywrap.o: moc_despotifywrap.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifywrap.o moc_despotifywrap.cpp

moc_despotifyplay.o: moc_despotifyplay.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifyplay.o moc_despotifyplay.cpp

moc_despotifycallback.o: moc_despotifycallback.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_despotifycallback.o moc_despotifycallback.cpp

qrc_resources.o: qrc_resources.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_resources.o qrc_resources.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/
