=== debian/changelog ===
qtify (0.0.1-3) unstable; urgency=low

  * Several visual fixes... And a couple of performance fixes

 -- Robin Nilsson <robinnilsson@gmail.com>  Ons, 06 Jan 2010 01:25:34 +0000
