## qtify 0.0.1-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtify
-# Generated by qmake (2.01a) (Qt 4.6.0) on: Tue Jan 5 23:40:25 2010
+# Generated by qmake (2.01a) (Qt 4.6.0) on: Wed Jan 6 19:48:24 2010
 # Project:  qtify.pro
 # Template: app
 # Command: /home/maemo/qtsdk-2009.05/qt/bin/qmake -spec ../../../qtsdk-2009.05/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtify.pro
