=== debian/changelog ===
qtify (0.0.1-4) unstable; urgency=low

  * Stability and usability fixes
  * Should now use despotify r484

 -- Robin Nilsson <robinnilsson@gmail.com>  Thu, 07 Jan 2010 19:23:31 +0000
