=== debian/changelog ===
qtify (0.0.2) unstable; urgency=low

  * NoPredictiveText and NoAutoUppercase on login lineedits (username and password)
  * Enter in searchbox commits search
  * Removed searchbutton and select playlist button
  * Added cleanup code on exit
  * Removed unnecessary code in mainwindow.cpp
  * Optimized player thread (lower cpu usage and better respose-times)
  * Updated norwegian translation (by vasshus)

 -- Robin Nilsson <robinnilsson@gmail.com>  Sun, 10 Jan 2010 01:48:23 +0000
