=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Robin Nilsson <robinnilsson@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libao0-dev, despotify,libssl-dev,libvorbis-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libao0, despotify,libssl-dev,libvorbis-dev
 Standards-Version: 3.7.2
 
 Package: qtify
