## qtify 0.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: qtify
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Jan 10 01:15:59 2010
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Jan 14 23:22:17 2010
 # Project:  qtify.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile qtify.pro
@@ -10,12 +10,12 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
+DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I.
 LINK          = g++
-LFLAGS        = 
+LFLAGS        = -Wl,-O1
 LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -L/usr/lib -lao -ldespotify -lQtGui -lQtCore -lpthread
 AR            = ar cqs
 RANLIB        = 
@@ -71,7 +71,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
@@ -122,7 +122,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
@@ -144,7 +144,7 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
-/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
+/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
@@ -162,7 +162,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/qtify1.0.0 || $(MKDIR) .tmp/qtify1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.h despotifywrap.h audio.h despotifyplay.h despotifycallback.h despotify_cpp.h .tmp/qtify1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtify1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp despotifywrap.cpp audio.cpp despotifyplay.cpp despotifycallback.cpp .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/qtify1.0.0/ && $(COPY_FILE) --parents translations/qtify_sv_SE.ts translations/qtify_nb.ts translations/qtify_fi.ts translations/qtify_du.ts translations/qtify_de.ts translations/qtify_ar_SA.ts translations/qtify_no.ts .tmp/qtify1.0.0/ && (cd `dirname .tmp/qtify1.0.0` && $(TAR) qtify1.0.0.tar qtify1.0.0 && $(COMPRESS) qtify1.0.0.tar) && $(MOVE) `dirname .tmp/qtify1.0.0`/qtify1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtify1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.h despotifywrap.h audio.h despotifyplay.h despotifycallback.h despotify_cpp.h .tmp/qtify1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/qtify1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp despotifywrap.cpp audio.cpp despotifyplay.cpp despotifycallback.cpp .tmp/qtify1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/qtify1.0.0/ && $(COPY_FILE) --parents translations/qtify_sv_SE.ts translations/qtify_nb.ts translations/qtify_fi.ts translations/qtify_du.ts translations/qtify_de.ts translations/qtify_ar_SA.ts translations/qtify_no.ts translations/qtify_bs.ts .tmp/qtify1.0.0/ && (cd `dirname .tmp/qtify1.0.0` && $(TAR) qtify1.0.0.tar qtify1.0.0 && $(COMPRESS) qtify1.0.0.tar) && $(MOVE) `dirname .tmp/qtify1.0.0`/qtify1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtify1.0.0
 
 
 clean:compiler_clean 
@@ -306,4 +306,3 @@
 
 ####### Install
 
-install_target: first FORCE
