=== debian/changelog ===
qtify (0.0.3) unstable; urgency=low

  * Various gui and performance fixes
  * Updated GUI to match PR1.1

 -- Robin Nilsson <robinnilsson@gmail.com>  Fri, 15 Jan 2010 00:31:23  +0000
