## qtify 0.1.0

=== debian/changelog ===
qtify (0.1.0) unstable; urgency=low

  * Separated playlist/search view
  * Added hildon menu
  * Added remember password function (Thanks to Micke Nordin)
  * Added album view (click in album column to show)
  * Single click now plays songs
  * Made logo transparent
  * Various small UI improvements
  * Updated Swedish translations (others is now outdated)
  
 -- Robin Nilsson <robinnilsson@gmail.com>  Mon, 18 Jan 2010 19:26:40  +0100
