=== debian/control ===
Source: qtify
Section: user/multimedia
Priority: optional
Maintainer: Robin Nilsson <robinnilsson@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libao0, libdespotify-dev,libssl-dev,libvorbis-dev
Standards-Version: 3.7.2

Package: qtify
Architecture: any
Depends: libqt4-core, libqt4-gui, libdespotify, libao0
Description: An open source spotify client based on despotify.
 An open source spotify client based on despotify,
 note that this package is highly unstable and is
 only intended for testing purposes.
